## mdm 0.1.3

=== Makefile ===
# Time-stamp: <2009-09-20 23:58:48 cklin>

override CC := $(shell which mdm-run > /dev/null && echo mdm-run) $(CC)
override CFLAGS += -Wall -D_GNU_SOURCE -Iinclude

SED := /bin/sed
INSTALL := /usr/bin/install
LN := /bin/ln
GZIP := /bin/gzip

LIB := library/buffer.o library/comms.o library/socket.o
PROG := $(patsubst programs/%.c,%,$(wildcard programs/*.c))

PREFIX ?= /usr/local
BIN_DIR := $(PREFIX)/bin
LIB_DIR := $(PREFIX)/lib/mdm
MAN_DIR := $(PREFIX)/share/man/man1

BIN_D_DIR := $(DESTDIR)$(BIN_DIR)
LIB_D_DIR := $(DESTDIR)$(LIB_DIR)
MAN_D_DIR := $(DESTDIR)$(MAN_DIR)

all : $(PROG)

mdm-master : library/hazard.o
mdm-top : library/procfs.o
mdm-top : override LDFLAGS += -lcurses

mdm-% : programs/mdm-%.c $(LIB)
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $+

LIB += library/hazard.o library/procfs.o
$(LIB) : include/middleman.h
$(PROG) : include/middleman.h

MAN := $(wildcard documents/*.1)
HTML := $(patsubst %,%.html,$(MAN))

%.1.html : %.1
	rman -f html -r '%s.%s.html' $+ > $@

man-html : $(HTML)

install : install-bin install-docs

install-bin : all 
	$(INSTALL) -d $(BIN_D_DIR) $(LIB_D_DIR)
	$(INSTALL) scripts/mdm.screen scripts/ncpus $(BIN_D_DIR)
	$(INSTALL) -s mdm-run $(BIN_D_DIR)
	$(LN) -f -s mdm-run $(BIN_D_DIR)/mdm-sync
	$(INSTALL) -s mdm-master mdm-slave mdm-top $(LIB_D_DIR)
	$(SED) -i -e "s:MDM_LIB:$(LIB_DIR):" $(BIN_D_DIR)/mdm.screen

install-docs :
	$(INSTALL) -d $(MAN_D_DIR)
	$(INSTALL) -m 644 $(MAN) $(MAN_D_DIR)
	$(GZIP) -f -9 $(patsubst documents/%,$(MAN_D_DIR)/%,$(MAN))
	$(LN) -f -s mdm-run.1.gz $(MAN_D_DIR)/mdm-sync.1.gz

clean :
	$(RM) library/*.o

dist-clean : clean
	$(RM) mdm-* documents/*.html

.PHONY : all man-html install install-bin install-docs clean dist-clean

=== debian/changelog ===
mdm (0.1.3-3) unstable; urgency=medium

  * Team upload.
  * Point Homepage to Github
  * Set Vcs fields to Debian team on Salsa
  * Fix watch file
  * Switch from cdbs to dh
    Closes: #1098831
  * Build-Depends: s/libncurses5-dev/libncurses-dev/
  * Standards-Version: 4.7.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * d/copyright: DEP5

 -- Andreas Tille <tille@debian.org>  Wed, 26 Feb 2025 07:12:27 +0100

mdm (0.1.3-2.2) unstable; urgency=medium

  * Non-maintainer upload
  * Convert to source format 3.0 (closes: #1007311)
  * Let the 2nd description paragraph have sentences (closes: #550374)
  * Drop -s to prevent using the build architecture strip (closes: #927861)

 -- Bastian Germann <bage@debian.org>  Mon, 02 Oct 2023 18:08:48 +0200

mdm (0.1.3-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix link order to list libraries after the objects that require them
    (closes: #641418, LP: #771082).

 -- Colin Watson <cjwatson@debian.org>  Tue, 04 Jun 2013 10:30:35 +0100

mdm (0.1.3-2) unstable; urgency=low

  * Fix upstream watch file
  * Add libncurses5-dev to Build-Depends (closes: #548469)

 -- Chuan-kai Lin <cklin@debian.org>  Sat, 26 Sep 2009 10:17:48 -0700

mdm (0.1.3-1) unstable; urgency=low

  * Initial release (closes: #547375)

 -- Chuan-kai Lin <cklin@debian.org>  Mon, 21 Sep 2009 12:56:07 -0700

=== debian/control ===
Source: mdm
Maintainer: Chuan-kai Lin <cklin@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libncurses-dev
Standards-Version: 4.7.1
Vcs-Browser: https://salsa.debian.org/debian/mdm
Vcs-Git: https://salsa.debian.org/debian/mdm.git
Homepage: https://github.com/cklin/mdm

Package: mdm
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         screen
Description: Utilities for single-host parallel shell scripting
 The Middleman System (mdm) is a set of utilities that help you
 parallelize your shell scripts.  Simply label the commands to run in
 parallel, and the System automatically exploits every parallelization
 opportunity that arises at runtime.  You can also specify dependency
 between commands so that they run in an appropriate order.
 .
 mdm comes with an ncurses-based monitoring console and is compatible with
 xargs, find, make and any shell. It can be run in a script or interactively.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/mdm PREFIX=/usr

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/cklin/mdm/tags (?:.*?/)?release-(\d[\d.]*)\.tar\.gz

## mdm 1.0.8%2Bmaya

=== debian/changelog ===
mdm (1.0.8+maya) nadia; urgency=low

  * Asks plymouth to quit at startup (fixes Xorg randomly loading the wrong driver and user ending using llvmpipe)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 27 Nov 2012 14:18:25 +0000

mdm (1.0.7) nadia; urgency=low

  * Removed flower from circles theme
  * Fixed version checks
  * Added support for GNOME 3 user faces

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 15 Nov 2012 12:10:59 +0000

mdm (1.0.6) maya; urgency=low

  * Call mate-screensaver when appropriate
  * Added switch user in gnome-screensaver

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 30 Aug 2012 13:55:09 +0100

mdm (1.0.5) maya; urgency=low

  * 48px faces
  * Improved userlist support
  * Changed debian maintainers/uploaders fields

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 28 Aug 2012 15:35:13 +0100

mdm (1.0.4) maya; urgency=low

  * Removed Debian branding from mdmLogin

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 18 May 2012 12:09:51 +0100

mdm (1.0.3) maya; urgency=low

  * Fixed login issue with sessions which Exec line contains spaces and no quotes (Gnome Shell, Gnome Classic etc..)  

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 17 May 2012 15:19:48 +0100

mdm (1.0.2) maya; urgency=low

  * Don't show "New login in a window" menu item if Xnest isn't installed

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 11 May 2012 19:31:41 +0100

mdm (1.0.1) maya; urgency=low

  * Don't rely on fontconfig (can cause segfaults and make MDM crash)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 11 May 2012 13:55:55 +0100

mdm (1.0.0) debian; urgency=low

  * v 1.0.0, forked from GDM 2.20.11-4

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 19 Apr 2012 19:56:00 +0100

mdm (2.20.11-4) unstable; urgency=low

  * debian-spacefun.shar: updated to remove the “debian” word in the 
    picture, because of copyright issues.

 -- Josselin Mouette <joss@debian.org>  Sat, 13 Nov 2010 21:50:48 +0100

mdm (2.20.11-3) unstable; urgency=low

  * Remove moreblue theme.
  * debian-spacefun.shar: ship SpaceFun theme instead.
  * 35_mdm.conf.patch: set it as default. Closes: #603403.

 -- Josselin Mouette <joss@debian.org>  Sat, 13 Nov 2010 21:18:33 +0100

mdm (2.20.11-2) unstable; urgency=low

  * Use linux-any wildcard instead of listing non-linux architectures.
  * Bump standards version accordingly.
  * 23_xsession-errors.patch: disable the obnoxious behavior that stops 
    filling .xsession-errors when there is too much output.
  * Update watch file.

 -- Josselin Mouette <joss@debian.org>  Sun, 05 Sep 2010 21:16:42 +0200

mdm (2.20.11-1) unstable; urgency=low

  * mdm.config: handle the case where $OLD_DAEMON is empty.
    Closes: #579103.
  * Install a file in insserv.conf.d.
  * New upstream release.
  * 70_mandatory-relibtoolize.patch: updated for the new version.

 -- Josselin Mouette <joss@debian.org>  Tue, 22 Jun 2010 00:59:27 +0200

mdm (2.20.10-3) unstable; urgency=low

  * mdm.config: add missing $ leading to a dpkg-tmp file being created 
    in the wrong directory. Closes: #577216.

 -- Josselin Mouette <joss@debian.org>  Sat, 10 Apr 2010 17:09:37 +0200

mdm (2.20.10-2) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/patches/68_hurd_pathmax.patch:
    - Don't use MAXPATHLEN and PATH_MAX since it's not defined on
      GNU/Hurd. Use dynamic allocation instead.
  * debian/patches/69_hurd_mdm_reset_locale.patch:
    - Don't implement mdm_reset_locale() only if RLIM_NLIMITS is defined,
      since it has nothing to do with it and it's undefined on the Hurd.

  [ Josselin Mouette ]
  * 01_mdmchooser-ipv6_bindv6only-workaround.patch: patch from Miguel 
    Landaeta. Allow mdmchooser to work with new default netbase setting 
    net.ipv6.bindv6only=1. Closes: #562126.
  * 61_console_tty0.patch: patch from Julien Cristau. The console device 
    is /dev/tty0 for the physical console, not /dev/console.
    Closes: #348033.
  * 02_xdmcp-ipv6_bindv6only.patch: patch from Julien Cristau. Allow 
    xdmcp to work with net.ipv6.bindv6only=1. Closes: #563406.

  [ Julien Cristau ]
  * mdm.templates, mdm.config: fix mdm daemon pathname (closes: #422735)
  * mdm.config: get the old default display manager from
    /etc/X11/default-display-manager instead of from debconf (stolen from xdm)
  * mdm.config, mdm.postinst, mdm.postrm: in config, move
    /etc/X11/default-display-manager away instead of removing it.  Delete it
    in postinst instead, to allow rollback in postrm abort-{install,upgrade}
    (stolen from xdm).

  [ Josselin Mouette ]
  * 22_Xreset.patch: patch by Petter Reinholdtsen to use Xreset in 
    postinst if available. Closes: #571612.

 -- Josselin Mouette <joss@debian.org>  Sat, 10 Apr 2010 00:21:42 +0200

mdm (2.20.10-1) unstable; urgency=low

  * 21_XKeepsCrashing_bashism.patch: new patch, fix a bashism.
    Closes: #530086.
  * mdm.init: add kbd to Should-Start. Closes: #548102.
  * mdm.init: add x11-common to Required-Start.
  * New upstream release.
  * 51_xkb_init.patch, 52_xdmcp_fixes.patch: dropped, merged upstream.
  * 70_mandatory-relibtoolize.patch: updated for the new version.

 -- Josselin Mouette <joss@debian.org>  Sun, 25 Oct 2009 09:22:43 +0100

mdm (2.20.9-1) unstable; urgency=low

  * mdm.install: install the desktop files in 
    /usr/share/mdm/applications, so that they are only available when 
    the session has been started by MDM. Closes: #508345.
  * Ship an empty /usr/share/sounds directory. Closes: #509219.
  * New upstream translation and bugfix release.
  * 51_selinux_memleak.patch, 52_shutdown_crash.patch: removed, merged 
    upstream.
  * 70_mandatory-relibtoolize.patch: updated for the new version.
  * 51_xkb_init.patch: new patch, stolen upstream. Handle the case where 
    XKB is not properly initialized.
  * 52_xdmcp_fixes.patch: new patch, stolen upstream. Fix a double free 
    and improve error handling for XDMCP. Hopefully closes: #495797.



=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: mdm
Section: gnome
Priority: optional
Maintainer: Clement Lefebvre <root@linuxmint.com>
Build-Depends: libpam0g-dev,
               libdbus-glib-1-dev (>= 0.30),
               libglib2.0-dev (>= 2.12.0),
               libgtk2.0-dev (>= 2.6.0),
               libpango1.0-dev (>= 1.3.0),
               libglade2-dev (>= 1:1.99.2),
               libgnomecanvas2-dev,
               librsvg2-dev,
               libxml2-dev (>= 2.4.12),
               libart-2.0-dev (>= 2.3.11),
               libwrap0-dev,
               debhelper (>= 5),
               gettext,
               intltool (>= 0.35.0),
               libselinux1-dev [linux-any],
               libattr1-dev,
               x11proto-core-dev,
               x11proto-input-dev,
               libxau-dev,
               libxt-dev,
               libxdmcp-dev,
               libxinerama-dev,
               libdmx-dev,
               gnome-doc-utils,
               sharutils,
               gnome-pkg-tools,
               quilt,
               zenity,
               libpopt-dev,
               xserver-xorg
Standards-Version: 3.9.0

Package: mdm
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         adduser,
         libpam-modules (>= 0.72-1),
         libpam-runtime (>= 0.76-13.1),
         gnome-session | x-session-manager | x-window-manager | x-terminal-emulator,
         gksu (>= 1.0.7),
         lsb-base (>= 3.2-14),
         librsvg2-common
Recommends: whiptail | dialog,
            zenity,
            mdm-themes,
            xserver-xephyr | xnest,
            xserver-xorg
Suggests: locales,
          pm-utils,
          libpam-gnome-keyring
Provides: x-display-manager
Conflicts: fast-user-switch-applet (<< 2.17.4),
           gnome-session (<< 2.19.2),
           gnome-panel (<< 2.19.2),
           gnome-screensaver (<< 2.17.7),
           gdm,
           gdm3
Description: GNOME Display Manager
 mdm provides the equivalent of a "login:" prompt for X displays- it
 pops up a login window and starts an X session.
 .
 It provides all the functionality of xdm, including XDMCP support for
 managing remote displays.
 .
 The greeting window is written using the GNOME libraries and hence
 looks like a GNOME application- even to the extent of supporting
 themes! By default, the greeter is run as an unprivileged user for
 security.

=== debian/rules ===
#!/usr/bin/make -f

DEB_VERSION := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p')
DEB_NOEPOCH_VERSION := $(shell echo $(DEB_VERSION) | cut -d: -f2-)
DEB_UPSTREAM_VERSION := $(shell echo $(DEB_NOEPOCH_VERSION) | sed 's/-[^-]*$$//')

MAJOR_MINOR := $(shell echo $(DEB_UPSTREAM_VERSION) | sed -r 's/([0-9]+\.[0-9]+).*/\1/')

DEB_HOST_ARCH_OS = $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

configure_flags += --disable-dependency-tracking \
		--prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--sysconfdir=/etc \
		--libexecdir=/usr/lib/mdm \
		--localstatedir=/var/lib \
		--with-custom-conf=/etc/mdm/mdm.conf \
		--disable-scrollkeeper \
		--enable-ipv6=yes \
		--with-prefetch=yes \
		--enable-secureremote=yes

ifeq (linux,$(DEB_HOST_ARCH_OS))
	configure_flags += --with-selinux
else
	configure_flags += --without-selinux
endif

MANPAGES += $(patsubst %.pod,%,$(wildcard debian/*.pod))

PATCH_DIR := debian/patches

CFLAGS += -Wall -g -O$(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),0,2)

patch: patch-stamp
patch-stamp:
	dh_testdir
	# apply patches
	QUILT_PATCHES=$(PATCH_DIR) \
		quilt --quiltrc /dev/null push -a || test $$? = 2
	touch $@

configure: configure-stamp
configure-stamp: patch-stamp
	dh_testdir
	./configure $(configure_flags) CFLAGS="$(CFLAGS)"
	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp $(MANPAGES)
	dh_testdir
	$(MAKE)
	touch build-stamp

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	mkdir debian/tmp
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
	touch $@

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdirs -a
	dh_install -a
	chmod 755 debian/mdm/usr/share/mdm/mdmXnestWrapper
	# special environment settings should be done in /etc/default/mdm
	mv debian/mdm/usr/sbin/mdm-binary debian/mdm/usr/sbin/mdm
	cd debian/mdm/usr/sbin && rm -f mdm-restart mdm-safe-restart mdm-stop
	chmod 755 debian/mdm/etc/mdm/Xsession
	dh_installdebconf -a
	dh_installdocs -a
	dh_installmenu -a
	#dh_installlogrotate -a
	dh_scrollkeeper -a
	dh_desktop -a
	dh_installpam -a
	# additional PAM file to install
	dh_installpam -pmdm --name=mdm-autologin
	dh_installinit -a --noscripts
	dh_installman -a
	dh_installchangelogs -a ChangeLog
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

clean::
	dh_testdir
	dh_testroot
	rm -rf debian/tmp
	[ ! -f Makefile ] || $(MAKE) distclean
	# unapply patches, if any
	QUILT_PATCHES=$(PATCH_DIR) \
		quilt --quiltrc /dev/null pop -a -R || test $$? = 2
	-rm -rf .pc
	rm -f install-stamp build-stamp configure-stamp patch-stamp
	dh_clean $(MANPAGES) \
		po/*.gmo po/.intltool-merge-cache \
		config/gnome.desktop config/CDE.desktop config/default.desktop

%: %.pod
	pod2man --section=$(shell echo $@ | sed 's/.*\.//') \
		--release="GNOME $(MAJOR_MINOR)" \
		--center="Debian GNU/Linux" \
		$< \
		| sed -e 's/debian:://' >$@

binary: binary-indep binary-arch
.PHONY: patch configure build install clean binary-indep binary-arch binary

## mdm 1.4.11%2Bmaya

=== debian/changelog ===
mdm (1.4.11+maya) debian; urgency=low

  * 1.4.11

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 06 Feb 2014 21:11:04 +0000

mdm (1.4.10) debian; urgency=low

  * 1.4.10

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 03 Feb 2014 13:11:59 +0000

mdm (1.4.9) debian; urgency=low

  * 1.4.9

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 13 Jan 2014 10:43:43 +0000

mdm (1.4.8) petra; urgency=low

  * 1.4.8

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 06 Dec 2013 14:49:42 +0000

mdm (1.4.7) petra; urgency=low

  * 1.4.7

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 21 Nov 2013 10:58:00 +0000

mdm (1.4.6) petra; urgency=low

  * 1.4.6

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 11 Nov 2013 11:16:17 +0000

mdm (1.4.5) petra; urgency=low

  * 1.4.5

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 10 Nov 2013 19:38:12 +0000

mdm (1.4.4) petra; urgency=low

  * 1.4.4

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 08 Nov 2013 13:16:44 +0000

mdm (1.4.3) petra; urgency=low

  * 1.4.3

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 05 Nov 2013 11:56:31 +0000

mdm (1.4.2) petra; urgency=low

  * 1.4.2

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 05 Nov 2013 11:35:20 +0000

mdm (1.4.1) petra; urgency=low

  * 1.4.1

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 03 Nov 2013 15:58:12 +0000

mdm (1.3.7) petra; urgency=low

  * 1.3.7

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 31 Oct 2013 17:04:24 +0000

mdm (1.3.6) petra; urgency=low

  * 1.3.6

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 25 Oct 2013 11:08:56 +0100

mdm (1.3.5) petra; urgency=low

  * 1.3.5

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 22 Oct 2013 13:42:00 +0100

mdm (1.3.4) petra; urgency=low

  * 1.3.4

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 30 Sep 2013 16:52:04 +0100

mdm (1.3.3) petra; urgency=low

  * 1.3.3

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 30 Sep 2013 12:03:56 +0100

mdm (1.3.2) petra; urgency=low

  * 1.3.2

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 25 Sep 2013 10:41:31 +0100

mdm (1.3.1) olivia; urgency=low

  * 1.3.1

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 18 Jun 2013 11:29:58 +0100

mdm (1.2.5) olivia; urgency=low

  * 1.2.5

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 20 May 2013 12:55:39 +0100

mdm (1.2.4) olivia; urgency=low

  * 1.2.4

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 19 May 2013 10:50:42 +0100

mdm (1.2.3) olivia; urgency=low

  * 1.2.3

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 15 May 2013 12:42:32 +0100

mdm (1.2.2) olivia; urgency=low

  * 1.2.2

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 14 May 2013 23:19:40 +0100

mdm (1.2.1) olivia; urgency=low

  * 1.2.1

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 14 May 2013 20:34:07 +0100

mdm (1.2.0) olivia; urgency=low

  * 1.2.0

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 08 May 2013 22:26:59 +0100

mdm (1.1.10) olivia; urgency=low

  * 1.1.10

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 27 Apr 2013 23:09:26 +0100

mdm (1.1.9) olivia; urgency=low

  * 1.1.9

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 19 Apr 2013 16:46:00 +0100

mdm (1.1.8) olivia; urgency=low

  * 1.1.8

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 19 Apr 2013 14:28:07 +0100

mdm (1.1.7) olivia; urgency=low

  * 1.1.7

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 19 Apr 2013 10:19:02 +0100

mdm (1.1.6) olivia; urgency=low

  * 1.1.6

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 08 Apr 2013 14:41:30 +0100

mdm (1.1.5) olivia; urgency=low

  * 1.1.5

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 15 Mar 2013 14:28:25 +0000

mdm (1.1.4) olivia; urgency=low

  * 1.1.4

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 09 Mar 2013 22:24:24 +0000

mdm (1.1.3) olivia; urgency=low

  * Transparent background in webkit greeter

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 27 Feb 2013 11:18:18 +0000

mdm (1.1.2) olivia; urgency=low

  * Cleaner build
  * waitpid instead of select for slave to detect the death of the greeter

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 26 Feb 2013 14:21:50 +0000

mdm (1.1.1) olivia; urgency=low

  * UI improvements in mdmsetup
  * Simpler options regarding greeters
  * New Webkit greeter

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 19 Feb 2013 12:12:42 +0000

mdm (1.0.8) nadia; urgency=low

  * Asks plymouth to quit at startup (fixes Xorg randomly loading the wrong driver and user ending using llvmpipe)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 27 Nov 2012 14:18:25 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,3 @@
-# This file is autogenerated. DO NOT EDIT!
-# 
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
-
 Source: mdm
 Section: gnome
 Priority: optional
@@ -36,7 +31,10 @@
                quilt,
                zenity,
                libpopt-dev,
-               xserver-xorg
+               xserver-xorg,
+               libwebkitgtk-dev,
+               gnome-common,
+               libxml2-utils
 Standards-Version: 3.9.0
 
 Package: mdm
@@ -46,14 +44,16 @@
          adduser,
          libpam-modules (>= 0.72-1),
          libpam-runtime (>= 0.76-13.1),
-         gnome-session | x-session-manager | x-window-manager | x-terminal-emulator,
+         cinnamon-session | gnome-session | x-session-manager | x-window-manager | x-terminal-emulator,
          gksu (>= 1.0.7),
          lsb-base (>= 3.2-14),
-         librsvg2-common
+         librsvg2-common,
+         gir1.2-webkit-3.0,
+         gir1.2-gtk-3.0,
+         python
 Recommends: whiptail | dialog,
             zenity,
             mdm-themes,
-            xserver-xephyr | xnest,
             xserver-xorg
 Suggests: locales,
           pm-utils,
@@ -65,14 +65,7 @@
            gnome-screensaver (<< 2.17.7),
            gdm,
            gdm3
-Description: GNOME Display Manager
- mdm provides the equivalent of a "login:" prompt for X displays- it
- pops up a login window and starts an X session.
+Description: MDM Display Manager
+ MDM stands for MDM Display Manager (not Mint Display Manager and not MATE Display Manager) :)
  .
- It provides all the functionality of xdm, including XDMCP support for
- managing remote displays.
- .
- The greeting window is written using the GNOME libraries and hence
- looks like a GNOME application- even to the extent of supporting
- themes! By default, the greeter is run as an unprivileged user for
- security.
+ It provides your system with a nice login screen which is easy to use, to configure and to theme.

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,8 @@
 		--disable-scrollkeeper \
 		--enable-ipv6=yes \
 		--with-prefetch=yes \
-		--enable-secureremote=yes
+		--enable-secureremote=yes \
+		--enable-compile-warnings=no
 
 ifeq (linux,$(DEB_HOST_ARCH_OS))
 	configure_flags += --with-selinux
@@ -44,7 +45,7 @@
 configure: configure-stamp
 configure-stamp: patch-stamp
 	dh_testdir
-	./configure $(configure_flags) CFLAGS="$(CFLAGS)"
+	./autogen.sh $(configure_flags) CFLAGS="$(CFLAGS)"
 	touch configure-stamp
 
 build: build-stamp
@@ -68,7 +69,6 @@
 	dh_testroot
 	dh_installdirs -a
 	dh_install -a
-	chmod 755 debian/mdm/usr/share/mdm/mdmXnestWrapper
 	# special environment settings should be done in /etc/default/mdm
 	mv debian/mdm/usr/sbin/mdm-binary debian/mdm/usr/sbin/mdm
 	cd debian/mdm/usr/sbin && rm -f mdm-restart mdm-safe-restart mdm-stop

## mdm 1.4.11+lmde

=== debian/changelog ===
mdm (1.4.11+lmde) debian; urgency=low

  * 1.4.11

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 06 Feb 2014 21:11:04 +0000

## mdm 1.4.11+maya

=== files/Makefile ===
# Makefile.in generated by automake 1.13.3 from Makefile.am.
# files/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2013 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/mdm
pkgincludedir = $(includedir)/mdm
pkglibdir = $(libdir)/mdm
pkglibexecdir = $(libexecdir)/mdm
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
subdir = files
DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/gnome-doc-utils.m4 \
	$(top_srcdir)/m4/intltool.m4 $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/acinclude.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/clem/Sandbox/Cinnamon/projects/mdm/missing aclocal-1.13
ALL_LINGUAS = 
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AR = ar
AT_BINDIR = ${bindir}
AUTOCONF = ${SHELL} /home/clem/Sandbox/Cinnamon/projects/mdm/missing autoconf
AUTOHEADER = ${SHELL} /home/clem/Sandbox/Cinnamon/projects/mdm/missing autoheader
AUTOMAKE = ${SHELL} /home/clem/Sandbox/Cinnamon/projects/mdm/missing automake-1.13
AWK = gawk
BINDIR = /usr/bin
CATALOGS = 
CATOBJEXT = .gmo
CC = gcc
CCDEPMODE = depmode=none
CFLAGS = -Wall -g -O2  
COMMON_CFLAGS = -pthread -I/usr/include/gtk-2.0 -I/usr/lib/x86_64-linux-gnu/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/harfbuzz -I/usr/include/libglade-2.0 -I/usr/include/libxml2  
COMMON_GNOME_LIBS = libmdmcommon-ui.a
COMMON_LIBS = -lglade-2.0 -lgtk-x11-2.0 -lxml2 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lglib-2.0  
CONSOLE_HELPER = no
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DAEMON_CFLAGS = -pthread -I/usr/include/gtk-2.0 -I/usr/lib/x86_64-linux-gnu/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/harfbuzz  
DAEMON_LIBS = -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lglib-2.0  
DATADIR = /usr/share
DATADIRNAME = share
DBUS_CFLAGS = -I/usr/include/dbus-1.0 -I/usr/lib/x86_64-linux-gnu/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include  
DBUS_LIBS = -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0  
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DISTCHECK_CONFIGURE_FLAGS = --disable-scrollkeeper 
DLLTOOL = false
DMX_LIBS = -ldmx
DOC_USER_FORMATS = 
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
EXTRA_DAEMON_LIBS =  -lpam -lselinux -lattr
EXTRA_GREETER_LIBS = 
EXTRA_MDMASKPASS_LIBS =  -lpam_misc
EXTRA_NSL_LIB = 
EXTRA_SOCKET_LIB = 
FGREP = /bin/grep -F
GDKPIXBUF_CFLAGS = -pthread -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/libpng12 -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include  
GDKPIXBUF_LIBS = -lgdk_pixbuf-2.0 -lgobject-2.0 -lglib-2.0  
GDK_CFLAGS = -pthread -I/usr/include/gtk-2.0 -I/usr/lib/x86_64-linux-gnu/gtk-2.0/include -I/usr/include/gio-unix-2.0/ -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12  
GDK_LIBS = -lgdk-x11-2.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lpango-1.0 -lcairo -lgobject-2.0 -lglib-2.0  
GETTEXT_PACKAGE = mdm
GLIB_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include  
GLIB_LIBS = -lglib-2.0  
GMOFILES = 
GMSGFMT = /usr/bin/msgfmt
GOBJECT_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include  
GOBJECT_LIBS = -lgobject-2.0 -lglib-2.0  
GREETER_CFLAGS = -pthread -I/usr/include/gtk-2.0 -I/usr/lib/x86_64-linux-gnu/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/harfbuzz -I/usr/include/libgnomecanvas-2.0 -I/usr/include/gail-1.0 -I/usr/include/libart-2.0 -I/usr/include/librsvg-2.0 -I/usr/include/libxml2  
GREETER_LIBS = -lgnomecanvas-2 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lpangoft2-1.0 -lpangocairo-1.0 -lpango-1.0 -lfreetype -lfontconfig -lrsvg-2 -lm -lgio-2.0 -lgdk_pixbuf-2.0 -lcairo -lgobject-2.0 -lglib-2.0 -lxml2 -lart_lgpl_2  
GREP = /bin/grep
GUIGLADE_CFLAGS = -pthread -I/usr/include/gtk-2.0 -I/usr/lib/x86_64-linux-gnu/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/harfbuzz -I/usr/include/libglade-2.0 -I/usr/include/libxml2  
GUIGLADE_LIBS = -lglade-2.0 -lgtk-x11-2.0 -lxml2 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lglib-2.0  
GUING_CFLAGS = -pthread -I/usr/include/gtk-2.0 -I/usr/lib/x86_64-linux-gnu/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/harfbuzz  
GUING_LIBS = -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lglib-2.0  
GUI_CFLAGS = -pthread -I/usr/include/gtk-2.0 -I/usr/lib/x86_64-linux-gnu/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/harfbuzz -I/usr/include/libglade-2.0 -I/usr/include/libxml2  
GUI_LIBS = -lglade-2.0 -lgtk-x11-2.0 -lxml2 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lglib-2.0  
HALT_COMMAND = /usr/bin/poweroff;/sbin/poweroff;/sbin/shutdown -h now;/usr/sbin/shutdown -h now
HELP_DIR = ${datadir}/gnome/help
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INSTOBJEXT = .mo
INTLLIBS = 
INTLTOOL_EXTRACT = /usr/bin/intltool-extract
INTLTOOL_MERGE = /usr/bin/intltool-merge
INTLTOOL_PERL = /usr/bin/perl
INTLTOOL_UPDATE = /usr/bin/intltool-update
INTLTOOL_V_MERGE = $(INTLTOOL__v_MERGE_$(V))
INTLTOOL_V_MERGE_OPTIONS = $(intltool__v_merge_options_$(V))
INTLTOOL__v_MERGE_ = $(INTLTOOL__v_MERGE_$(AM_DEFAULT_VERBOSITY))
INTLTOOL__v_MERGE_0 = @echo "  ITMRG " $@;
LANG_CONFIG_FILE = ${sysconfdir}/sysconfig/i18n
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBDIR = /usr/lib
LIBEXECDIR = /usr/lib/mdm
LIBOBJS = 
LIBS = -lutil -lutil 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBWRAP_LIBS = -lwrap
LIPO = 
LN_S = ln -s
LOCALSTATEDIR = /var/lib
LTLIBOBJS = 
MAINT = 
MAKEINFO = ${SHELL} /home/clem/Sandbox/Cinnamon/projects/mdm/missing makeinfo
MANIFEST_TOOL = :
MDMASKPASS = mdmaskpass
MDMGNOMESESSIONCMD = cinnamon-session
MDMOPEN = mdmopen
MDMPREFETCH = mdmprefetch
MDMPREFETCHCMD = ${libdir}/mdmprefetch \@${mdmconfdir}/mdmprefetchlist
MDMPREFETCHLIST = mdmprefetchlist
MDMSSHSESSION = mdm-ssh-session
MDMSSHSESSIONCMD = /usr/lib/mdm/mdm-ssh-session
MDM_CUSTOM_CONF = /etc/mdm/mdm.conf
MDM_DEFAULTS_CONF = ${datadir}/mdm/defaults.conf
MDM_OLD_CONF = ${mdmconfdir}/mdm.conf
MDM_PID_FILE = /var/run/mdm.pid
MDM_RBAC_SYSCMD_KEYS = 
MDM_USER_PATH = /bin:/usr/bin
MKDIR_P = /bin/mkdir -p
MKINSTALLDIRS = ./mkinstalldirs
MSGFMT = /usr/bin/msgfmt
MSGFMT_OPTS = -c
MSGMERGE = /usr/bin/msgmerge
NM = /usr/bin/nm -B
NMEDIT = 
NOLOGIN = /usr/sbin/nologin
OBJDUMP = objdump
OBJEXT = o
OMF_DIR = ${datadir}/omf
OTOOL = 
OTOOL64 = 
PACKAGE = mdm
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_URL = 
PACKAGE_VERSION = 
PAM_PREFIX = ${sysconfdir}
